/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/*
 * Copyright (C) 2002 CodeFactory AB
 * Copyright (C) 2002 Richard Hult <rhult@codefactory.se>
 * Copyright (C) 2002 Mikael Hallendal <micke@codefactory.se>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#include <config.h>
#include <glib.h>
#include <mrp-types.h>

GType
mrp_relation_type_get_type (void)
{
	static GType etype = 0;
	if (etype == 0) {
		static const GEnumValue values[] = {
			{ MRP_RELATION_NONE, "MRP_RELATION_NONE", "none" },
			{ MRP_RELATION_FS, "MRP_RELATION_FS", "fs" },
			{ MRP_RELATION_FF, "MRP_RELATION_FF", "ff" },
			{ MRP_RELATION_SS, "MRP_RELATION_SS", "ss" },
			{ MRP_RELATION_SF, "MRP_RELATION_SF", "sf" },
			{ 0, NULL, NULL }
		};
		etype = g_enum_register_static ("MrpRelationType", values);
	}
	return etype;
}

